Uploaded image for project: 'Bookkeeper'
  1. Bookkeeper
  2. BOOKKEEPER-866

Fix compile issue when Updating junit to latest release version( 4.12) in the test of Bookkeeper-server.

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 4.4.0
    • Component/s: bookkeeper-server
    • Labels:

      Description

      When write test cases for BOOKKEEPER-865, It appears that current version of junit could not support some new features well, such as Parameterized test. Then we try to update junit to latest release version, but found " junit.framework.Assert in junit.framework has been deprecated" .
      So using this new ticket to trace this to make the objective more clear.

      The fix is simple,
      replace
      import junit.framework.Assert;
      to
      import org.junit.Assert;

        Attachments

        1. BOOKKEEPER-866.patch
          5 kB
          Jia Zhai
        2. BOOKKEEPER-866-2.patch
          6 kB
          Jia Zhai

          Activity

            People

            • Assignee:
              zhaijia Jia Zhai
              Reporter:
              zhaijia Jia Zhai
            • Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: